Public Class entMainNewsLetterRecipients
#Region "Private Fields"
  Private strNLRID As String
  Private strNLRName As String
  Private strNLREmail As String

  Private intActive As Integer
  Private intDeleted As Integer
  Private strCreatedBy As String
  Private strCreatedDate As String
  Private intDeletedBy As String
  Private intDeletedDate As String
  Private strModifiedBy As String
  Private strModifiedDate As String
#End Region
#Region "Public Properties"
  Public Property NLRID()  As String
      Get
        Return strNLRID
      End get
      Set(ByVal value As String)
        strNLRID = value
      End set
  End Property
  Public Property RecipientName()  As String
      Get
        Return strNLRName
      End get
      Set(ByVal value As String)
        strNLRName = value
      End set
  End Property
  Public Property RecipientEmail()  As String
      Get
        Return strNLREmail
      End get
      Set(ByVal value As String)
        strNLREmail = value
      End set
  End Property

  Public Property Active() As Integer
      Get
          Return intActive
      End get
      Set(ByVal value As Integer)
        intActive = value
      End set
  End Property
  Public Property Deleted() As Integer
      Get
          Return intDeleted
      End get
      Set(ByVal value As Integer)
        intDeleted = value
      End set
  End Property
    Public Property CreatedBy()  As String
    Get
        Return strCreatedBy
    End get
    Set(ByVal value As String)
      strCreatedBy = value
    End set
  End Property
  Public Property CreatedDate()  As String
    Get
        Return strCreatedDate
    End get
    Set(ByVal value As String)
      strCreatedDate = value
    End set
  End Property
  Public Property DeletedBy()  As String
    Get
        Return intDeletedBy
    End get
    Set(ByVal value As String)
      intDeletedBy = value
    End set
  End Property
  Public Property DeletedDate()  As String
    Get
        Return intDeletedDate
    End get
    Set(ByVal value As String)
      intDeletedDate = value
    End set
  End Property
  Public Property ModifiedBy()  As String
    Get
        Return strModifiedBy
    End get
    Set(ByVal value As String)
      strModifiedBy = value
    End set
  End Property
  Public Property ModifiedDate()  As String
    Get
        Return strModifiedDate
    End get
    Set(ByVal value As String)
      strModifiedDate = value
    End set
  End Property
#End Region
End Class